--- title: "Get Trigger List" slug: "secretmanager-gettriggerlist" updated: 2026-09-17T10:25:43Z published: 2026-09-17T10:25:43Z canonical: "api.ncloud-docs.com/secretmanager-gettriggerlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Trigger List Available in VPC Get the list of secret automatic rotation triggers. Note For more information on how to use the secret automatic rotation feature by calling a Cloud Functions trigger, see [Secret rotation action](https://guide.ncloud-docs.com/docs/en/secretmanager-rotate-action). ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/triggers | ### Request headers For information about the headers common to all Secret Manager APIs, see [Secret Manager request headers](/docs/en/secretmanager-api-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request example The request example is as follows: ``` curl --location --request GET 'https://secretmanager.apigw.ntruss.com/api/v1/triggers' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | Response code | | `data` | Object | - | Response result | | `data.triggerList` | Array | - | [Trigger list](/docs/en/secretmanager-gettriggerlist#triggerList) | #### triggerList The following describes `triggerList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `id` | String | - | Trigger ID | | `name` | String | - | Trigger name | | `description` | String | - | Trigger description | | `pageUrl` | String | - | Trigger detailed page URL | | `platform` | String | - | Platform environment | | `region` | String | - | Area code | | `linkedSecretList` | Array | - | List of secret IDs connected to the trigger | | `actionList` | Array | - | Trigger action list information | | `actionList.name` | String | - | Trigger action name | | `actionList.description` | String | - | Trigger action description | ### Response status codes For information about the HTTP status codes common to all Secret Manager APIs, see [Secret Manager response status codes](/docs/en/secretmanager-api-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": "SUCCESS", "data": { "triggerList": [ { "id": "*****", "name": "test", "description": "", "pageUrl": "https://console.ncloud.com/vpcCloudFunctions/trigger/detail/test", "platform": "VPC", "region": "KR", "linkedSecretList": [ "*****e4a40444cae6250726f4c07bfacf43e3aa9d78ae867d5420859b96*****", "*****687685109842348f7358629bca2a6b2491e8c2352718e7d312b183*****" ], "actionList": [ { "name": "test-***", "description": "" } ] } ] } } ```